Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.model.util
Class ViewValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.emf.ecp.view.spi.model.util.ViewValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator

    public class ViewValidator

extends org.eclipse.emf.ecore.util.EObjectValidator

The Validator for the model.

Since:
  1.5
See Also:
  `VViewPackage`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`org.eclipse.emf.ecore.util.EObjectValidator.DynamicEClassValidator, org.eclipse.emf.ecore.util.EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

Field Summary
`static String` | `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package.
`static String` | `ECLASS_KEY`
`static ViewValidator` | `INSTANCE` The cached model package

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_BIDIRECTIONAL_REFERENCE_IS_PAIRED, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_KEY_UNIQUE, EOBJECT__EVERY_MAP_ENTRY_UNIQUE, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__NO_CIRCULAR_CONTAINMENT, EOBJECT__UNIQUE_ID, ROOT_OBJECT`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`ViewValidator()` Creates an instance of the switch.

Method Summary
`org.eclipse.emf.common.util.ResourceLocator` | `getResourceLocator()` Returns the resource locator that will be used to fetch messages for this validator's diagnostics.
`boolean` | `validateAttachment(VAttachment attachment, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateContainedContainer(VContainedContainer containedContainer, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateContainedElement(VContainedElement containedElement, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateContainer(VContainer container, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateControl(VControl control, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateDiagnostic(VDiagnostic diagnostic, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateDomainModelReference(VDomainModelReference domainModelReference, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateDomainModelReferenceChangeListener(DomainModelReferenceChangeListener domainModelReferenceChangeListener, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateElement(VElement element, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)` .
`boolean` | `validateFeaturePathDomainModelReference_resolveable(VFeaturePathDomainModelReference featurePathDomainModelReference, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the resolveable constraint of 'Feature Path Domain Model Reference'.
`boolean` | `validateFeaturePathDomainModelReference(VFeaturePathDomainModelReference featurePathDomainModelReference, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateLabelAlignment(LabelAlignment labelAlignment, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` | `validateView(VView view, org.eclipse.emf.common.util.DiagnosticChain diagnostics, Map<Object,Object> context)`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`getFeatureLabel, getObjectLabel, getValueLabel, validate_BidirectionalReferenceIsPaired, validate_EveryBidirectionalReferenceIsPaired, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryKeyUnique, validate_EveryMapEntryUnique, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_NoCircularContainment, validate_UniqueID, validate, validate, validate, validate, validate, validate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ECLASS_KEY

    public static final String ECLASS_KEY

See Also:
  Constant Field Values

### INSTANCE

    public static final ViewValidator INSTANCE

  The cached model package

### DIAGNOSTIC_SOURCE

    public static final String DIAGNOSTIC_SOURCE

  A constant for the `source` of diagnostic `codes` from this package.

  See Also:
    `Diagnostic.getSource()`, `Diagnostic.getCode()`, Constant Field Values

Constructor Detail

### ViewValidator

    public ViewValidator()

  Creates an instance of the switch.

Method Detail

### validateDiagnostic

    public boolean validateDiagnostic(VDiagnostic diagnostic,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      Map<Object,Object> context)

### validateAttachment

    public boolean validateAttachment(VAttachment attachment,
                                      org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                      Map<Object,Object> context)

### validateDomainModelReference

    public boolean validateDomainModelReference(VDomainModelReference domainModelReference,
                                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                Map<Object,Object> context)

### validateFeaturePathDomainModelReference

    public boolean validateFeaturePathDomainModelReference(VFeaturePathDomainModelReference featurePathDomainModelReference,
                                                           org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                           Map<Object,Object> context)

### validateFeaturePathDomainModelReference_resolveable

    public boolean validateFeaturePathDomainModelReference_resolveable(VFeaturePathDomainModelReference featurePathDomainModelReference,
                                                                       org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                                       Map<Object,Object> context)

  Validates the resolveable constraint of 'Feature Path Domain Model Reference'.

  Parameters:
    `featurePathDomainModelReference` - the dmr to check
    `diagnostics` - the chain
    `context` - the validation context
  Returns:
    the result

### validateElement

    public boolean validateElement(VElement element,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

  .

### validateView

    public boolean validateView(VView view,
                                org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                Map<Object,Object> context)

### validateContainedElement

    public boolean validateContainedElement(VContainedElement containedElement,
                                            org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                            Map<Object,Object> context)

### validateContainer

    public boolean validateContainer(VContainer container,
                                     org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                     Map<Object,Object> context)

### validateContainedContainer

    public boolean validateContainedContainer(VContainedContainer containedContainer,
                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                              Map<Object,Object> context)

### validateControl

    public boolean validateControl(VControl control,
                                   org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

### validateLabelAlignment

    public boolean validateLabelAlignment(LabelAlignment labelAlignment,
                                          org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateDomainModelReferenceChangeListener

    public boolean validateDomainModelReferenceChangeListener(DomainModelReferenceChangeListener domainModelReferenceChangeListener,
                                                              org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                                              Map<Object,Object> context)

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Returns the resource locator that will be used to fetch messages for this validator's diagnostics.

  Overrides:
    `getResourceLocator` in class `org.eclipse.emf.ecore.util.EObjectValidator`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.